CREATE TABLE fa_deprn_extract (
    DEPRN_EXTRACT_ID                 NUMBER(18, 0),
    BOOK_TYPE_CODE                   VARCHAR2(120),
    PERIOD_COUNTER                   NUMBER(18, 0),
    PERIOD_NAME                      VARCHAR2(60) ,
    SOURCE_TABLE                     VARCHAR2(120),
    SOURCE_DISTRIBUTION_TYPE         VARCHAR2(120),
    LEDGER_ID                        NUMBER(18, 0),
    LEDGER_SET_ID                    NUMBER(18, 0),
    CURRENCY_CODE                    VARCHAR2(60) ,
    ASSET_ID                         NUMBER(18, 0),
    ASSET_TYPE                       VARCHAR2(120),
    CATEGORY_ID                      NUMBER(18, 0),
    CATEGORY_BOOK_DEFAULT_ID         NUMBER(18, 0),
    UNITS_ASSIGNED                   NUMBER       ,
    TOTAL_UNITS                      NUMBER       ,
    UNIT_RATIO                       NUMBER       ,
    DISTRIBUTION_ID                  NUMBER(18, 0),
    CODE_COMBINATION_ID              NUMBER(18, 0),
    LOCATION_ID                      NUMBER(18, 0),
    EMPLOYEE_ID                      NUMBER(18, 0),
    TRANSACTION_HEADER_ID            NUMBER(18, 0),
    BOOKS_TRANSACTION_HEADER_ID      NUMBER(18, 0),
    GROUP_ASSET_ID                   NUMBER(18, 0),
    METHOD_ID                        NUMBER(18, 0),
    FLAT_RATE_ID                     NUMBER(18, 0),
    BONUS_RULE_ID                    NUMBER(18, 0),
    CEILING_TYPE_ID                  NUMBER(18, 0),
    CONVENTION_TYPE_ID               NUMBER(18, 0),
    DEPRN_RUN_ID                     NUMBER(18, 0),
    DEPRN_RUN_DATE                   DATE         ,
    DEPRN_SOURCE_CODE                VARCHAR2(4)  ,
    COST                             NUMBER       ,
    DEPRN_AMOUNT                     NUMBER       ,
    YTD_DEPRN                        NUMBER       ,
    DEPRN_RESERVE                    NUMBER       ,
    TOTAL_DEPRN_RESERVE              NUMBER       ,
    DEPRN_ADJUSTMENT_AMOUNT          NUMBER       ,
    BONUS_DEPRN_AMOUNT               NUMBER       ,
    BONUS_YTD_DEPRN                  NUMBER       ,
    BONUS_DEPRN_RESERVE              NUMBER       ,
    TOTAL_BONUS_DEPRN_RESERVE        NUMBER       ,
    BONUS_DEPRN_ADJUSTMENT_AMOUNT    NUMBER       ,
    ACCELERATED_DEPRN_AMOUNT         NUMBER       ,
    ACCELERATED_YTD_DEPRN            NUMBER       ,
    ACCELERATED_DEPRN_RESERVE        NUMBER       ,
    TOTAL_ACC_DEPRN_RESERVE          NUMBER       ,
    ACC_DEPRN_ADJUSTMENT_AMOUNT      NUMBER       ,
    IMPAIRMENT_AMOUNT                NUMBER       ,
    YTD_IMPAIRMENT                   NUMBER       ,
    IMPAIRMENT_RESERVE               NUMBER       ,
    REVAL_AMORTIZATION               NUMBER       ,
    REVAL_DEPRN_EXPENSE              NUMBER       ,
    REVAL_RESERVE                    NUMBER       ,
    YTD_REVAL_DEPRN_EXPENSE          NUMBER       ,
    PRODUCTION                       NUMBER       ,
    YTD_PRODUCTION                   NUMBER       ,
    LTD_PRODUCTION                   NUMBER       ,
    ADJUSTED_COST                    NUMBER       ,
    BONUS_ADJUSTED_COST              NUMBER       ,
    ACCELERATED_ADJUSTED_COST        NUMBER       ,
    NET_BOOK_VALUE                   NUMBER       ,
    ORIGINAL_COST                    NUMBER       ,
    RECOVERABLE_COST                 NUMBER       ,
    SALVAGE_VALUE                    NUMBER       ,
    YTD_LATEST_FLAG                  VARCHAR2(4)  ,
    LATEST_FLAG                      VARCHAR2(4)  ,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    CAPITAL_ADJUSTMENT               NUMBER       ,
    GENERAL_FUND                     NUMBER       ,
    AH_TRANSACTION_HEADER_ID         NUMBER(18, 0),
    TOTAL_IMPAIRMENT_RESERVE         NUMBER       ,
    DEPRN_EXTRACT_ID                 NUMBER(18, 0),
    BOOK_TYPE_CODE                   VARCHAR2(120),
    PERIOD_COUNTER                   NUMBER(18, 0),
    PERIOD_NAME                      VARCHAR2(60) ,
    SOURCE_TABLE                     VARCHAR2(120),
    SOURCE_DISTRIBUTION_TYPE         VARCHAR2(120),
    LEDGER_ID                        NUMBER(18, 0),
    LEDGER_SET_ID                    NUMBER(18, 0),
    CURRENCY_CODE                    VARCHAR2(60) ,
    ASSET_ID                         NUMBER(18, 0),
    ASSET_TYPE                       VARCHAR2(120),
    CATEGORY_ID                      NUMBER(18, 0),
    CATEGORY_BOOK_DEFAULT_ID         NUMBER(18, 0),
    UNITS_ASSIGNED                   NUMBER       ,
    TOTAL_UNITS                      NUMBER       ,
    UNIT_RATIO                       NUMBER       ,
    DISTRIBUTION_ID                  NUMBER(18, 0),
    CODE_COMBINATION_ID              NUMBER(18, 0),
    LOCATION_ID                      NUMBER(18, 0),
    EMPLOYEE_ID                      NUMBER(18, 0),
    TRANSACTION_HEADER_ID            NUMBER(18, 0),
    BOOKS_TRANSACTION_HEADER_ID      NUMBER(18, 0),
    GROUP_ASSET_ID                   NUMBER(18, 0),
    METHOD_ID                        NUMBER(18, 0),
    FLAT_RATE_ID                     NUMBER(18, 0),
    BONUS_RULE_ID                    NUMBER(18, 0),
    CEILING_TYPE_ID                  NUMBER(18, 0),
    CONVENTION_TYPE_ID               NUMBER(18, 0),
    DEPRN_RUN_ID                     NUMBER(18, 0),
    DEPRN_RUN_DATE                   DATE         ,
    DEPRN_SOURCE_CODE                VARCHAR2(4)  ,
    COST                             NUMBER       ,
    DEPRN_AMOUNT                     NUMBER       ,
    YTD_DEPRN                        NUMBER       ,
    DEPRN_RESERVE                    NUMBER       ,
    TOTAL_DEPRN_RESERVE              NUMBER       ,
    DEPRN_ADJUSTMENT_AMOUNT          NUMBER       ,
    BONUS_DEPRN_AMOUNT               NUMBER       ,
    BONUS_YTD_DEPRN                  NUMBER       ,
    BONUS_DEPRN_RESERVE              NUMBER       ,
    TOTAL_BONUS_DEPRN_RESERVE        NUMBER       ,
    BONUS_DEPRN_ADJUSTMENT_AMOUNT    NUMBER       ,
    ACCELERATED_DEPRN_AMOUNT         NUMBER       ,
    ACCELERATED_YTD_DEPRN            NUMBER       ,
    ACCELERATED_DEPRN_RESERVE        NUMBER       ,
    TOTAL_ACC_DEPRN_RESERVE          NUMBER       ,
    ACC_DEPRN_ADJUSTMENT_AMOUNT      NUMBER       ,
    IMPAIRMENT_AMOUNT                NUMBER       ,
    YTD_IMPAIRMENT                   NUMBER       ,
    IMPAIRMENT_RESERVE               NUMBER       ,
    REVAL_AMORTIZATION               NUMBER       ,
    REVAL_DEPRN_EXPENSE              NUMBER       ,
    REVAL_RESERVE                    NUMBER       ,
    YTD_REVAL_DEPRN_EXPENSE          NUMBER       ,
    PRODUCTION                       NUMBER       ,
    YTD_PRODUCTION                   NUMBER       ,
    LTD_PRODUCTION                   NUMBER       ,
    ADJUSTED_COST                    NUMBER       ,
    BONUS_ADJUSTED_COST              NUMBER       ,
    ACCELERATED_ADJUSTED_COST        NUMBER       ,
    NET_BOOK_VALUE                   NUMBER       ,
    ORIGINAL_COST                    NUMBER       ,
    RECOVERABLE_COST                 NUMBER       ,
    SALVAGE_VALUE                    NUMBER       ,
    YTD_LATEST_FLAG                  VARCHAR2(4)  ,
    LATEST_FLAG                      VARCHAR2(4)  ,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    CAPITAL_ADJUSTMENT               NUMBER       ,
    GENERAL_FUND                     NUMBER       ,
    AH_TRANSACTION_HEADER_ID         NUMBER(18, 0),
    TOTAL_IMPAIRMENT_RESERVE         NUMBER       ,
    CONSTRAINT pk_fa_deprn_extract PRIMARY KEY (DEPRN_EXTRACT_ID, DEPRN_EXTRACT_ID)
);
